{% extends 'mediatek-8173.jinja2' %}
{% set connection_command = 'telnet pmwg-dispatcher01 7101' %}
{% set adb_serial_number = '0123456789ABCDEF' %}
{% set fastboot_serial_number = '0123456789ABCDEF' %}
{% set action_timeout_power_off = 30 %}

{# We have to use bespoke scripts to interect with the mediatek #}

{% set hard_reset_command = 'fastboot-mediatek --pdu pdu01 --pdu_port 2 --name pmwg-dispatcher01-hub01 --otg_port 01' %}
{% set power_on_command = 'fastboot-mediatek --pdu pdu01 --pdu_port 2 --name pmwg-dispatcher01-hub01 --otg_port 01' %}
{% set power_off_command = ['mediatek-off --pdu pdu01 --pdu_port 2 --name pmwg-dispatcher01-hub01 --otg_port 01', '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -m2 sync -d 5 -u 15', '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -m2 sync -d 5 -a 5 -u 14']%}
{% set device_info = [{'board_id': '0123456789ABCDEF'}] %}
{% set flash_cmds_order = ['partition', 'lk', 'boot0', 'TEE1', 'TEE2',
                           'boot' ] %}
{% set static_info = [{'board_id': 'S_NO81730000'}, {'board_id': 'S_NO81730001'}] %}

{% set sync_to_lava = {'device_type': 'mediatek-8173', 'worker': 'pmwg-dispatcher01.pmwglab', 'tags': [], 'aliases': []} %}